{% extends "lab_7/layout/base.html" %}

{% block content %}
	Nama: {{ mahasiswa.nama }}<br>
	NPM: {{ mahasiswa.npm }}<br>
	Alamat: {{ mahasiswa.alamat_mhs }}<br>
	TTL: {{ mahasiswa.kota_lahir }}, {{ mahasiswa.tgl_lahir }}<br>

	Peta alamat:
	<div id="map-alamat"></div>
{% endblock %}
{% block javascript %}
    <script>
		function initMap() {
			var encodedAdress = encodeURI("{{mahasiswa.alamat_mhs}}".slice(0, 20));
			var apiKey = "AIzaSyDdkOgCZIHtB-wKtnc_LN-dSoXoUx_c_go";			
			console.log(encodedAdress);

			$.ajax({
				method: "GET",
				url: "https://maps.googleapis.com/maps/api/geocode/json?address="+ encodedAdress + " &key="+ apiKey,
				dataType: "json",
				success: function(response) {
					console.log(response);
					var myLatLng;

					if (response.status === "OK") 
						myLatLng = response.results[0].geometry.location;
					else {
						myLatLng = {"lat" : -6.3627638, "lng" : 106.8270482};
						alert("Oops! Alamat tidak dapat ditemukan");
					}
					console.log(myLatLng);
					// Create a map object and specify the DOM element for display.
					var map = new google.maps.Map(document.getElementById('map-alamat'), {
						center: myLatLng,
						zoom: 15
					});

					// Create a marker and set its position.
					var marker = new google.maps.Marker({
						map: map,
						position: myLatLng,
						title: 'Hello World!'
					});
				},
				error: function(error) {
					alert("Oops! Alamat saat ini tidak dapat ditemukan");
				}
			});
		};
    </script>
	<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDdkOgCZIHtB-wKtnc_LN-dSoXoUx_c_go&callback=initMap"
    async defer></script>
{% endblock %}
